# Generated from posix_mq-2.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name posix_mq

Name: rubygem-%{gem_name}
Version: 2.4.1
Release: 1%{?dist}
Summary: POSIX message queues for Ruby
License: GPL-2.0 and LGPL-3.0+
URL: https://bogomips.org/ruby_posix_mq/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
POSIX message queues allow local processes to exchange data in the form
of messages.  This API is distinct from that provided by System V
message queues, but provides similar functionality.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/posix-mq-rb
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/COPYING-GPL2
%{gem_instdir}/Documentation
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/archive
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/man
%{gem_instdir}/pkg.mk
%{gem_instdir}/posix-mq-rb_1
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/posix_mq.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 2.4.1-1
- Initial package
